# Interface StickyHeaderProps

interface StickyHeaderProps {
__dangerouslyDisableChildrenGuard?: boolean;
children: ReactNode;
className?: string;
position?: "bottom" | "left" | "right" | "top";
}

- Defined in src/components/layout/header/StickyHeader.tsx:9

#####
Index

### Properties

__dangerouslyDisableChildrenGuard?
children
className?
position?

##
Properties

### `Optional`__dangerouslyDisableChildrenGuard

__dangerouslyDisableChildrenGuard?: boolean

If you need to pass custom children for some reason and you are sure that you are doing it right - use this prop to disable children type check.

- Defined in src/components/layout/header/StickyHeader.tsx:22

### children

children: ReactNode

- Defined in src/components/layout/header/StickyHeader.tsx:23

### `Optional` className

className?: string

Additional class name

- Defined in src/components/layout/header/StickyHeader.tsx:17

### `Optional` position

position?: "bottom" | "left" | "right" | "top"

Position of the header

- Defined in src/components/layout/header/StickyHeader.tsx:13